Bug 1211199 - mockchain: TypeError: must be str, not bytes
Summary: mockchain: TypeError: must be str, not bytes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-13 09:59 UTC by Petr Lautrbach
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:51:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Lautrbach 2015-04-13 09:59:44 UTC
$ /usr/bin/mockchain -r fedora-22-x86_64 -l /var/tmp/mockremote-sw1U2/build/ -a https://copr-be.cloud.fedoraproject.org/results/plautrba/selinux/fedora-22-x86_64/ -a https://copr-be.cloud.fedoraproject.org/results/plautrba/selinux/fedora-22-x86_64/devel/ -m '--define=copr_username plautrba' -m '--define=copr_projectname selinux' -m '--define=vendor Fedora Project COPR (plautrba/selinux)' libsemanage-2.4-0.fc23.2.src.rpm
starting logfile: None
results dir: /var/tmp/mockremote-sw1U2/build/results/fedora-22-x86_64
config dir: /var/tmp/mockremote-sw1U2/build/configs/fedora-22-x86_64
Start build: libsemanage-2.4-0.fc23.2.src.rpm
building libsemanage-2.4-0.fc23.2.src.rpm
Traceback (most recent call last):
  File "/usr/bin/mockchain", line 391, in <module>
    sys.exit(main(sys.argv))
  File "/usr/bin/mockchain", line 336, in main
    ret, cmd, out, err = do_build(opts, config_opts['chroot_name'], pkg)
  File "/usr/bin/mockchain", line 203, in do_build
    sys.stderr.write(err)
TypeError: must be str, not bytes


Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/mockchain 
mock-1.2.7-1.fc23.noarch

Comment 1 Miroslav Suchý 2015-04-16 11:56:41 UTC
Fixed in:
* cdb0f0e  on python3 convert err from bytes to str [RHBZ#1211199]

Comment 2 Fedora Update System 2015-04-29 13:16:55 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 3 Fedora Update System 2015-04-29 13:17:19 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 4 Fedora Update System 2015-04-29 13:18:21 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 5 Fedora Update System 2015-04-29 13:19:24 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 6 Fedora Update System 2015-04-29 13:25:33 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 7 Fedora Update System 2015-04-29 19:19:08 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-05-01 16:51:14 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-05-02 18:08:53 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-12 20:47:23 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-04 11:41:55 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 12 Fedora Update System 2015-06-04 11:42:22 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 13 Fedora Update System 2015-06-20 21:09:49 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-20 21:13:17 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.